Subject: bug#35712: No sound in alex4

From: Ben Sturmfels <[email-masked]>
Date: Mon, 03 Feb 2020 21:59:17 +1100

On Mon, 13 May 2019, sirgazil wrote:

> When I run the game alex4, it has no sound. Running the game from a terminal I see no errors.

I'm also not getting any sound. I've found that alex4 writes a log to
$HOME/.alex4/log.txt. My log below seems to imply that sound is being
successfully initialised though.

Alex 4 (v1.2.1) - log file
-------------------
Game started with the following commands:
   alex4

Init routines:
 initializing allegro
 installing timers
 setting color depth (8)
 allocating memory for off screen buffers
 allocating memory for high score table 1
 allocating memory for high score table 2
 entering gfx mode set in alex4.ini (640x480 win)
 setting window title
 registering dumb
 loading data
 loading options
 loading hiscores
 loading original maps
 loaded 12 maps
 installing keyboard
 installing mouse
 initializing controls
 initializing joystick/gamepad
 installing sound
  DIGI_AUTODETECT selected (-1)
 loading sound datafile
  sfx_44.dat not found
  sfx_22.dat will be used
 initializing scroller
 vsync set to OFF
 init OK!
 getting map 0 from datafile

Running main menu:
 play selected

Starting new game:
 starting level <0>
 getting map 0 from map-datafile
 player quit

Running main menu:
 quit selected

Exit routines:
 unloading datafile
 unloading original maps
 destroying temporary map
 freeing level names
 saving options
 saving highscores
 unloading sound data
 exiting dumb
 exiting allegro

Done...